Skip to main content
GET
Reactions for cast

Node.js SDK

๐Ÿ”— SDK Method: fetchCastReactions Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.

Authorizations

x-api-key
string
header
default:NEYNAR_API_DOCS
required

API key to authorize requests

Query Parameters

hash
string
required
Pattern: ^(0x)?[a-fA-F0-9]{40}$
Example:

"0x71d5225f77e0164388b1d4c120825f3a2c1f131c"

types
enum<string>[]
required

Customize which reaction types the request should search for. This is a comma-separated string that can include the following values: 'likes' and 'recasts'. By default api returns both. To select multiple types, use a comma-separated list of these values.

Available options:
all,
likes,
recasts
viewer_fid
integer

Providing this will return a list of reactions that respects this user's mutes and blocks and includes viewer_context.

Required range: x >= 1
limit
integer<int32>
default:25

Number of results to fetch

Required range: 1 <= x <= 100
Example:

30

cursor
string

Pagination cursor.

Response

Success

next
NextCursor ยท object
required

Returns next cursor

reactions
ReactionForCast ยท object[]
required